Bug 165513 - No keyboard or mouse on console with SMP kernel
Summary: No keyboard or mouse on console with SMP kernel
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-10 00:25 UTC by Wade Hampton
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 18:46:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wade Hampton 2005-08-10 00:25:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
The system is a Supermicro dual 2.4G XEON workstation with dual ATAPI drives, PS/2 keyboard, and PS/2 mouse.  I updated from RH9 to FC4.0 (with some pain), and upon first boot, the SMP kernel OOPS'ed.  If I turned on ACPI in the BIOS, the SMP kernel would boot, but I did not have a keyboard or mouse.  The upgraded 2.6.12 SMP kernel would at least boot.  I can provide additional information including motherboard, etc. tomorrow.

Version-Release number of selected component (if applicable):
2.6.11 and 2.6.12 kernels

How reproducible:
Always

Steps to Reproduce:
1.  Turn on computer
2.  Select SMP kernel
3.  Try to use the keyboard
  

Actual Results:  no keyboard or mouse

Expected Results:  a functioning computer

Additional info:

To be provided upon request

Comment 1 Wade Hampton 2005-08-15 15:05:17 UTC
Tried the i8042.nomux kernel option.  I still can not boot.  Currently I am
using Fedora Core 4 kernel 2.6.12-1.1398_FC4smp.

Comment 2 Wade Hampton 2005-08-15 17:35:31 UTC
Bios was version 1.0.  I visited the Supermicro site and downloaded/installed
bios 1.3b.  Upon reboot, the system now has a keyboard/mouse with SMP kernel! 
Issue appeared to be the bios version.

Comment 3 Wade Hampton 2005-08-27 15:11:13 UTC
I do recommend that this be added to a FAQ.  If others find a similar problem,
upgrading the BIOS could be the solution.


Note You need to log in before you can comment on or make changes to this bug.